package coil.geek.storage;

import java.io.Serializable;

/**
 * An interface to be implemented by the user's data provider for the {@link PersistentCacheLoader}
 * 
 * @author Oded Arbel <oded@geek.co.il>
 *
 * @param <T>
 */
interface ObjectBackendLoader<T extends Serializable> {
	T load(String key);
}

